#pragma once

#include "entity.h"

namespace MetaData
{
    struct Player;
    struct Equip;
    struct MapThing;
}

class Human;
class Loot : public Entity
{
 public:
    MetaData::Equip* meta = nullptr;
    int item_id = 0;
    int count = 0;
    int item_level = 0;
    bool pickuped = false;

    Loot();
    virtual ~Loot() override;
    virtual void Initialize() override;
    void RecalcSelfCollider();
    virtual void FillMFObjectPart(cs::MFObjectPart* part_data) override;
    virtual void FillMFObjectFull(cs::MFObjectFull* full_data) override;
};
