#include "precompile.h"

#include "cs_proto.pb.h"

#include "metamgr.h"

void Weapon::ToPB(cs::MFWeapon* pb_obj)
{
    pb_obj->set_weapon_id(weapon_id);
    pb_obj->set_weapon_lv(weapon_lv);
    pb_obj->set_ammo(ammo);
}

void Weapon::Recalc()
{
    upgrade_meta = MetaMgr::Instance()->GetEquipUpgrade(weapon_id,
                                                        weapon_lv);

}

int Weapon::GetClipVolume()
{
    if (upgrade_meta) {
        return meta->i->clip_volume() + upgrade_meta->attr[EA_Volume];
    } else {
        return meta->i->clip_volume();
    }
}

void Skin::ToPB(cs::MFSkin* pb_obj)
{
    pb_obj->set_skin_id(skin_id);
    pb_obj->set_skin_lv(skin_lv);
}
